github下载的flutter项目导入as中只有配置文件没有项目结构

问图片如下:这的问题的原因是项目 不是用as开发的,导致结构as无法识别

1.sync project with gradle files点击同步gradle,位置如图

      1)如果找不到这个按钮,打开gradle  build setup  下点击 init,就可以出现了。如图

 

2.点击后会看到项目结构,这时候会报不支持flutter错误。

3.点击进main.dart文件  点击右上角 Enable Dart support 就可以运行项目了,

 

未解决问题 :  每次重新开启都要走一遍这个流程,不知道哪位大神可以完美解决这个问题。

没有更多推荐了,返回首页